<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
TransactionConfig Members
TransactionConfig Class Constructors Methods Fields Properties See Also

The TransactionConfig type exposes the following members.

# Constructors

| Name | Description
--- | --- | ---
| TransactionConfig | Instantiate a new TransactionConfig object

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| ToString | Returns a String that represents the current Object. (Inherited from Object.)

# Fields

| Name | Description
--- | --- | ---
| IsolationDegree | The degree of isolation for this transaction
| NoWait | If true and a lock is unavailable for any Berkeley DB operation performed in the context of a transaction, cause the operation to throw a DeadlockException (or LockNotGrantedException if configured with TimeNotGranted).
| Snapshot | If true, this transaction will execute with snapshot isolation.
| SyncAction | Log sync behavior on transaction commit or prepare.

# Properties

| Name | Description
--- | --- | ---
| LockTimeout | The timeout value for locks for the transaction.
| Name | The transaction's name. The name is returned by TransactionSystemStats()()() and displayed by PrintTransactionSystemStats()()().
| TxnTimeout | The timeout value for locks for the transaction.

# See Also

TransactionConfig Class
BerkeleyDB Namespace